/* --------------------------------------------- START HEADER CSS */
header .ecommerce-nav.navbar {
  box-shadow: 0px 1px 2px 0px rgba(61, 67, 81, 0.75);
  -webkit-box-shadow: 0px 1px 2px 0px rgba(61, 67, 81, 0.75);
  -moz-box-shadow: 0px 1px 2px 0px rgba(61, 67, 81, 0.75);
}
header .ecommerce-nav.navbar .navbar-brand {
  /* override bootstrap navbar-brand font size only local */
  --bs-navbar-brand-font-size: 2.2rem;
  font-weight: 700;
  opacity: 0.7;
  transition: 0.5s;
}

header .ecommerce-nav.navbar .navbar-brand:hover {
  opacity: 1;
}

header .ecommerce-nav.navbar .nav-link {
  --bs-nav-link-padding-x: 0.8rem;
  --bs-nav-link-padding-y: 0.5rem;
}
header .ecommerce-nav.navbar .nav-link span {
  font-weight: 700;
  opacity: 0.8;
  transition: 0.5s;
}

header .ecommerce-nav.navbar .nav-link:hover span {
  opacity: 1;
  color: #fff;
}

header .ecommerce-nav.navbar .nav-cart {
  --cart-container-size: 2.5rem;
  position: relative;
  width: var(--cart-container-size);
  height: var(--cart-container-size);
  transition: 0.5s;
  cursor: pointer;
}

header .ecommerce-nav.navbar .nav-cart .icon {
  font-size: 2rem;
  font-weight: 500;
  opacity: 0.75;
  transition: 0.5s;
}

header .ecommerce-nav.navbar .nav-cart:hover .icon {
  opacity: 1;
}

header .ecommerce-nav.navbar .nav-cart .nav-cart__total-item {
  --count-size: 1.1rem;
  --f-size: 0.5rem;
  width: var(--count-size);
  height: var(--count-size);
  font-size: var(--f-size);
  border-radius: 50%;
  background-color: var(--bs-indigo);
  position: absolute;
  top: 25%;
  left: 80%;
  transform: translate(-50%, -50%);
  transition: 0.5s;
}

header .ecommerce-nav.navbar .nav-cart .nav-cart__total-item span.item-count {
  color: #fff;
  transition: 0.5s;
}
/* --------------------------------------------- END HEADER CSS */

/* ----------------------------------------- START PRODUCT SECTION HEADER CSS */
.product-section .section-header h4 {
  --f-weight: 600;
  --f-size: 2rem;
  color: var(--section-header-color);
  font-weight: var(--f-weight);
  font-size: var(--f-size);
}

/* ----------------------------------------- END PRODUCT SECTION HEADER CSS */

/* ----------------------------------------- START PRODUCT FILTER SECTION CSS */
.product__filter .filter-brand {
  width: 270px;
}

.product__filter .filter-brand .form-select {
  padding-top: 2rem;
  height: calc(3.5rem + 10px);
  line-height: 1.5;
  transition: 0.5s;
}

.product__filter .filter-brand .form-select,
.product__filter .filter-brand .form-select option {
  font-weight: 600;
  transition: 0.5s;
}

.product__filter .filter-brand .form-select:hover,
.product__filter .filter-brand .form-select:focus {
  border-color: #a66cff5e;
  box-shadow: 0 0 0 0.25rem rgb(189 95 240 / 43%);
  border-radius: 0.5rem;
}

.product__filter .filter-brand label {
  left: auto;
}

/* ----------------------------------------- END PRODUCT FILTER SECTION CSS */

/* ----------------------------------------- START PRODUCT LIST SECTION CSS */
.product {
  margin-bottom: 1.5rem;
}

.product .product__info:not(:last-child) {
  margin-bottom: 0.6rem;
}

.product .product__content {
  cursor: pointer;
  height: 100%;
  border-radius: 15px;
  box-shadow: 1px 2px 2px 0 rgb(60 64 67 / 10%),
    0 1px 4px 1px rgb(60 64 67 / 15%);
  transition: 0.5s;
  position: relative;
}

.product .product__content .product__heading {
  margin-bottom: 0.8rem;
}

.product .stock-status {
  transform: translateX(-30px) translateY(-6px);
}

.product .product__content .product__img-wrapper {
  margin-bottom: 0.8rem;
}

.product .product__content .product__img-wrapper img {
  min-height: 100px;
  min-width: 100px;
  max-height: 200px;
  max-width: 200px;
  transition: 0.5s;
}

.product .product__content .product__desc {
  max-height: 55px;
  height: 100%;
}

.product .product__content .product__desc p {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.product .product__content .product__feature .feature {
  margin-bottom: 0.4rem;
}

.product .product__content .product__feature .feature .feature__name {
  font-size: 18px;
  color: grey;
  transition: 0.5s;
}

.product .product__content:hover {
  box-shadow: 4px 3px 3px 0 rgb(60 64 67 / 10%),
    -4px 3px 6px 2px rgb(60 64 67 / 15%);
}
.product .product__content:hover .product__name p {
  color: #1c3879;
  transform: translateX(5px);
}
.product .product__content:hover .product__img-wrapper img {
  transform: translateY(-10px);
}

.product .product__content:hover .product__feature .feature .feature__name {
  color: var(--clr-primary);
}

/* ----------------------------------------- END PRODUCT LIST SECTION CSS */

/* ----------------------------------------- START PRODUCT DETAIL MODAL  CSS */

#product-modal .product__info {
  /* outline: 1px solid red; */
}
#product-modal .modal-dialog {
  --bs-modal-width: 50%;
}

#product-modal .product-detail {
  --bs-modal-padding: 1.4rem;
}

#product-modal .product-detail .product__img-wrapper {
}

#product-modal .product-detail .product__img-wrapper img {
  display: block;
  width: 300px;
  height: 300px;
}

#product-modal
  .product-detail
  .product__content
  .product__info:not(:last-child) {
  margin-bottom: 0.86rem;
}

#product-modal .product__name .sub-title {
  font-size: 1.15rem;
}

#product-modal .product__content {
  position: relative;
}

#product-modal .product-detail .product__content .product__info.product__price {
  margin-bottom: 0;
  margin-top: auto;
  margin-right: 180px;
}

#product-modal .quantity-control {
  position: absolute;
  bottom: 0;
  right: 0;
}

#product-modal .quantity-control .btn-add-cart {
  --bs-btn-border-radius: 0.8rem;
  border-top-right-radius: 0.8rem;
  border-bottom-right-radius: 0.8rem;
}

#product-modal .quantity-control .btn-add-cart .icon {
  color: var(--bs-btn-color);
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

#product-modal .quantity-control .btn-add-cart:hover .icon {
  color: var(--bs-btn-hover-color);
}

/* ----------------------------------------- END PRODUCT DETAIL MODAL  CSS */

/* ----------------------------------------- START PRODUCT CART MODAL  CSS */

#cartModal .modal-header .modal-title {
  font-weight: 700;
  opacity: 0.75;
}

#cartModal .modal-content {
  max-height: 560px;
}

#cartModal {
  --bs-modal-bg: #e9e9e5;
}

#cartModal .product__img-wrapper {
  width: 100%;
}
#cartModal .product__img-wrapper img {
  min-height: 100px;
  min-width: 100px;
  max-height: 200px;
  max-width: 200px;
  transition: 0.5s;
}

#cartModal .cart__details {
  --padding-size: 2rem;
  padding-left: var(--padding-size);
  padding-right: var(--padding-size);
}

#cartModal .cartItem {
  border-radius: 1rem;
}

#cartModal .cart__total-price,
#cartModal .product__name h5 {
  transition: 0.5s;
}

#cartModal .cart__total-price .title {
  opacity: 0.8;
}

#cartModal .cart__total-price .number {
  opacity: 0.65;
}

#cartModal .cart__total-price > * {
  transition: 0.5s;
}

#cartModal .cart__total-price:hover > * {
  opacity: 1;
}
/* ----------------------------------------- END PRODUCT CART MODAL  CSS */

/* ----------------------------------------- START CHECKOUT MODAL  CSS */
#checkoutModal .modal-header .modal-title {
  font-weight: 700;
  opacity: 0.75;
}
#checkoutModal .modal-dialog {
  max-width: 60%;
}

#checkoutModal .checkout-table thead {
  background-color: #4b4bd5b8;
}

#checkoutModal .checkout-table thead th {
  color: #fff;
  padding: 20px;
  vertical-align: middle;
  text-align: center;
}
#checkoutModal .checkout__detail {
  padding: 1.5rem;
}

#checkoutModal .checkout-table tbody tr td,
#checkoutModal .checkout-table tbody tr th {
  vertical-align: middle;
  text-align: center;
  text-transform: capitalize;
}
#checkoutModal .checkout-table tbody tr:not(:last-child) td,
#checkoutModal .checkout-table tbody tr:not(:last-child) th {
  border-bottom: 4px solid #f0f1f4;
}

#checkoutModal .checkout-table .product__img img {
  max-width: 100px;
  max-height: 100px;
}

#checkoutModal .total-price {
  padding-right: 50px;
}
#checkoutModal .total-price h4 {
  margin-bottom: 0;
}
#checkoutModal .total-price .number {
  font-weight: 550;
}
/* ----------------------------------------- END CHECKOUT MODAL  CSS */
/* ----------------------------------------- START SUCCESSFUL ORDER MODAL  CSS */
#successOrderModal .modal-header {
  border-bottom: none;
}

#successOrderModal .successOrder__content .heading .title {
  background: rgb(2, 0, 36);
  background: radial-gradient(
    circle,
    rgba(2, 0, 36, 1) 0%,
    rgba(9, 9, 121, 0.865983893557423) 35%,
    rgb(2 158 189) 100%
  );
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

#successOrderModal .successOrder__content .heading .icon svg {
  --icon-size: 60px;
  width: var(--icon-size);
  height: var(--icon-size);
  transition: 0.5s;
}

#successOrderModal .successOrder__content .bottom {
  margin-top: 10px;
  padding-right: 20px;
  padding-left: 20px;
}

#successOrderModal .successOrder__content .bottom .btn-ok {
  padding-top: 0.3rem;
  padding-bottom: 0.3rem;
  border-radius: 20px;
  width: 50%;
}

/* ----------------------------------------- END SUCCESSFUL ORDER MODAL  CSS */
